#!/bin/bash

dhclient_event_script=/scripts/dhclient-event-process.sh
nat_rt=/scripts/default_gw_set.py
lte_vpp_script=/opt/bin/vpp_lte_config.py

if [ -f $dhclient_event_script ]; then
  $dhclient_event_script "$interface" "$reason" "$new_ip_address" "$old_ip_address"
fi

if [ -f $nat_rt ]; then
  case "${reason}" in
    BOUND|RENEW|REBIND|REBOOT)
      add="-a"
      #echo "Going to add new - $new_routers old - $old_routers"
      gw="-g $new_routers"
      ;;

    EXPIRE|FAIL|RELEASE|STOP)
      #echo "Going to remove $new_routers $old_routers"
      add=""
      gw=""
      ;;


    *)
      exit 0
      ;;

  esac

  #logger -t DDEBUG "Int $interface Metric $metric IF_METRIC $IF_METRIC"
  if [ -z "$IF_METRIC" ]; then
    mertic_cmd=""
  else
    mertic_cmd="-m $IF_METRIC"
  fi
  
  #echo "$nat_rt $gw -i $interface  $mertic_cmd $add"
  $nat_rt $gw -i $interface  $mertic_cmd $add
fi

if grep -q lte <<< "$interface"; then
  if [ -f $lte_vpp_script ]; then
    case "${reason}" in
      BOUND|RENEW|REBIND|REBOOT)
        gw="--ip-addr $new_routers"
        # Flush previuos records in ART TERM table (if any) and add new entry
        $lte_vpp_script arp_handler --ifname $interface $gw --flush-table
        ;;
      *)
        ;;
    esac
  fi
fi

exit 0
